#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
TINEEXE = availabilityServer
TINELIB = libtinemt.a
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h 

CPP = g++ -c -g -I. -I${INCL}
CC = cc -c -DMULTITHREADED -g -I. -I${INCL}
CCL = cc -g
LM = -lm -lpthread -lrt

${TINEEXE}: devsrv.o avaeqm.o availutils.o
	${CCL} -o ${TINEEXE} devsrv.o avaeqm.o availutils.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

avaeqm.o: avaeqm.c ${HDRS}
	${CC} avaeqm.c

availutils.o: availutils.c ${HDRS}
	${CC} availutils.c

clean:
	rm -f *.o
