INCL = ../../source
LIBS = ../../source
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h \
	${INCL}/threader.h \
	${INCL}/tbufsrv.h

CPP = g++ -DMULTITHREADED -I${INCL}
CC = gcc -c -g -DMULTITHREADED -I${INCL}
CCL = gcc -Wl,--no-as-needed
LM = -lm -lpthread -lrt -ldl


bufserv: bufserv.o
	LD_LIBRARY_PATH=../../source ${CCL} -o bufserv bufserv.o -ltinemt -ltbufsrv ${LM}
	chmod a+x bufserv

bufserv.o: bufserv.c ${HDRS}
	${CC} bufserv.c

clean:
	rm -f *.o
