INCL = ../../include
LIBS = ../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h \
	${INCL}/threader.h \
	${INCL}/tbufsrv.h

CPP = g++ -DMULTITHREADED -I${INCL}
CC = gcc -c -g -DMULTITHREADED -I${INCL}
CCL = gcc -Wl,--no-as-needed
LM = -lm -lpthread -lrt -ldl

mysrv: mysrv.o
	${CCL} -o mysrv mysrv.o -ltinemt -ltbufsrv ${LM}
	chmod a+x mysrv

mysrv.o: mysrv.c ${HDRS}
	${CC} mysrv.c

clean:
	rm -f *.o
