#define DOOCS_HEARTBEAT 30
#define CAS2DOOCS_FILE "cas2doocs.csv"


typedef struct
{
  char name[64];
  int code;
  int descriptor;
} ADevInfo;

typedef struct
{
  char tineContext[CONTEXT_NAME_SIZE];
  char tineServer[EXPORT_NAME_SIZE];
  char tineSubsystem[SUBSYSTEM_NAME_SIZE];
  char doocsAlarmServer[CONTEXT_NAME_SIZE+EXPORT_NAME_SIZE+8];
  char doocsFacility[CONTEXT_NAME_SIZE];
  char doocsDevice[EXPORT_NAME_SIZE];
  ADevInfo *devices;
  int ndevices;
  int status;
  int nsent;
  time_t interim;
} DoocsAlmXref;

int SendAlarmToDoocs(AMS *ams,char *type);
int SendInfoToDoocs(char *type,char *server,char *device,int system);
DoocsAlmXref *GetDoocsXRef(char *server);
int SendHeartbeatToDoocs(char *server,int system);
int SendStartupToDoocs(char *server,int system);
int initCas2Doocs(void);

