// do NOT remove functionality from this header file
// it's okay to add methods

#ifndef EVENTLST_H_
#define EVENTLST_H_

typedef struct
{
  ulong version;
  ulong eventNumber;
  ulong eventCode;
  ulong reserved;
  char comment[4][64];
} AESnotify;

typedef struct
{
  ulong version;
  ulong eventNumber;
  ulong eventCode;
  ulong reserved;
  char  deviceName[16];
} AEScontext;

// define the explicit INTEL structure size for 1-byte alignment
#define AESnotifyStructSize ((sizeof(ulong)*1) +\
                             (sizeof(ulong)*1) +\
                             (sizeof(ulong)*1) +\
                             (sizeof(ulong)*1) +\
                              4*64)

// define the explicit INTEL structure size for 1-byte alignment
#define AEScontextStructSize ((sizeof(ulong)*1) +\
                              (sizeof(ulong)*1) +\
                              (sizeof(ulong)*1) +\
                              (sizeof(ulong)*1) +\
                               16)

typedef struct AEStag
{
  ulong eventNumber;
  ulong eventCode;
  char comment[4][64];
  BYTE dsMask[32];
} AES;

// define the explicit INTEL structure size for 1-byte alignment
#define AESStructSize ((sizeof(ulong)*1) +\
                       (sizeof(ulong)*1) +\
                       (4*64) +\
                       (32))

#define MAKECODE(id,cd) (((id)<<16)|(cd))
#define BITSinBYTE 8

#endif // EVENTLST_H_

