/*
 * File fecdef.h
 *
 * Authors Philip Duval (DESY)
 *
 * Copyright (c) Deutsches Elektronen-Synchrotron DESY 1992-2023
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _FECDEF_H_
#define _FECDEF_H_

#define MEX_ISGLOBALSERVER 0
#define MEX_EXPORTNAME "ARCHIVER"
#define MEX_EQMNAME "DAQEQM"
#define MEX_NUMDEVICES 1

#endif /* _FECDEF_H_ */
