TINEEXE = unitclient
TINELIB = libtinemt.a
#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = cc -c -DMULTITHREADED -g -I${INCL}
CCL = cc -g
LM = -lm -lrt -lpthread

${TINEEXE}: unitclient.o unittest.o
	${CCL} -o ${TINEEXE} unitclient.o unittest.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

unitclient.o: unitclient.c ${HDRS}
	${CC} unitclient.c

unittest.o: unittest.c unittest.h ${HDRS}
	${CC} unittest.c

tcycler.o: tcycler.c ${HDRS}
	${CC} tcycler.c

clean:
	rm -f *.o
