TINEEXE = unitserv
TINELIB = libtinemt.a
#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL ?= ../../../include
LIBS ?= ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = cc -c -DMULTITHREADED -g -I${INCL}
CCL = cc -g
LM = -lm -lrt -lpthread

${TINEEXE}: devsrv.o unieqm.o
	${CCL} -o ${TINEEXE} devsrv.o unieqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

unieqm.o: unieqm.c unieqm.h ${HDRS}
	${CC} unieqm.c

clean:
	rm -f *.o
