#ifndef UNIEQM_H_
#define UNIEQM_H_

#define UNIEQM_EXPORT  "UnitServer"
#define UNIEQM_TAG     "UNIEQM"
#define UNIEQM_NUM_DEVICES 32
#define UNIEQM_RATE 200

#define PRP_ECHO 1
#define PRP_MCA_FLOAT 2
#define PRP_MCA_NAME64 3
#define PRP_STRUCT_SIMPLE 4
#define PRP_STRUCT_NESTED 5
#define PRP_STRUCT_COMPLEX 6
#define PRP_STRING_ARRAY 7
#define PRP_SPECTRUM 8
#define PRP_ASPECTRUM 9
#define PRP_IMAGE 10
#define PRP_AIMAGE 11
#define PRP_MDA 12
#define PRP_KEYVALUE 13
#define PRP_SPECTRUM_ARRAY 14
#define PRP_DOUBLE_ARRAY 15
#define PRP_BOOLEAN 16
#define PRP_BITFIELD16 17
#define PRP_BITFIELD32 18
#define PRP_SETTING 19
#define PRP_CMD 20
#define PRP_GSPECTRUM 21
#define PRP_BYTES 22
#define PRP_EXAMINER 23

#define SPECTRUM_SIZE 2000


void unieqm_bkg(void);
void unieqm_ini(void);
void unieqm_exi(void);
int unieqm(char *devName,char *devProperty,DTYPE *dout, DTYPE *din,short access);

#endif /* UNIEQM_H_ */

