INCL = /usr/include/tine
LIBS = /usr/lib
TINE_LIB = tine
EXE = wctrl
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

CC = cc -c -DWCTRL -g -I. -I${INCL}
CCL = cc -g
LM = -lm -lpthread -lrt

${EXE}: wctrl.o utilities.o
	${CCL} -o ${EXE} wctrl.o utilities.o -L${LIBS} -l${TINE_LIB} ${LM}
	chmod a+x ${EXE}

utilities.o: utilities.c ${HDRS}
	${CC} utilities.c

wctrl.o: wctrl.c ${HDRS}
	${CC} wctrl.c

clean:
	rm -f wctrl.o
	rm -f utilities.o
