# Makefile for attaching to tine server running in background
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl
# LINUX   CC = cc         CCL = CC         LM = 

CC = cc -c -Aa
CCL = cc
LM = -lM

attachfec: sndcmd.o cmdcln.o 
	${CCL} -o attachfec sndcmd.o cmdcln.o libtine.a ${LM}

sndcmd.o: sndcmd.c
	${CC} sndcmd.c

cmdcln.o: cmdcln.c project.def
	${CC} cmdcln.c 

clean:
	rm cmdcln.o sndcmd.o 
