# variables with defaults can be overridden by environment variables
#   TINE_INCL
#   TINE_ARCSRC

TINE_INCL ?= ../../../include
TINE_ARCSRC ?= ../../shared

HDRS = ${TINE_INCL}/project.def \
	${TINE_INCL}/prolog.h \
	${TINE_INCL}/srvcore.h \
	${TINE_INCL}/srvip.h \
	${TINE_INCL}/errors.h \
	${TINE_INCL}/tinetype.h \
	${TINE_INCL}/tinedefs.h \
	${TINE_INCL}/dbtools.h \
	${TINE_INCL}/swaplib.h \
	${TINE_INCL}/almlib.h

CPP = g++ -c -g -I. -I${TINE_INCL} -I${TINE_ARCSRC}
CC = cc -c -g -I. -I${TINE_INCL} -I${TINE_ARCSRC}
CCL = cc -g
LM = -lm -lrt

mvanno: mvanno.o 
	${CCL} -o mvanno mvanno.o 
	chmod a+x mvanno

mvanno.o: mvanno.c
	${CC} mvanno.c

clean:
	rm -f mvanno.o
