INCL = ../../../source
LIBS = ../../../source
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h \
	${INCL}/threader.h \
	${INCL}/tbufsrv.h

CPP = g++ -DMULTITHREADED -I${INCL}
CC = gcc -c -g -DMULTITHREADED -I${INCL}
CCL = gcc -Wl,--no-as-needed
LM = -lm -lpthread -lrt -ldl

bufclient: bufclient.o
	LD_LIBRARY_PATH=../../source ${CCL} -o bufclient bufclient.o -ltinemt -ltbufsrv ${LM}
	chmod a+x bufclient

bufclient.o: bufclient.c ${HDRS}
	${CC} bufclient.c

clean:
	rm -f *.o
