# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib
ARCSRC = ../../shared
TINESRC = ../../../source

CPP = g++
CC = cc -c -g -I${INCL} -I${ARCSRC}
CCL = cc -g
LM = -lm -ltine

checkdb: checkdb.o
	${CCL} -o checkdb checkdb.o archbase.o ${LM}

checkdb.o: checkdb.c
	${CC} checkdb.c

clean:
	rm *.o
