INCL = /usr/include/tine
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

TINELIB = libtine.a

CPP = g++ -I${INCL}
CC = cc -c -I${INCL}
CCL = cc 
LM = -lm -lrt

tineRepeater: tineRepeater.o repeater.o listener.o
	${CCL} -o tineRepeater tineRepeater.o repeater.o listener.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x tineRepeater

tineRepeater.o: tineRepeater.c ${HDRS}
	${CC} tineRepeater.c

repeater.o: repeater.c ${HDRS}
	${CC} repeater.c

listener.o: listener.c ${HDRS}
	${CC} listener.c

clean:
	rm -f *.o
