# Makefile for srvwizard
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

HDRS = project.def \
	prolog.h \
	srvcore.h \
	swaplib.h \
	hstlib.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	almlib.h

CC = cc -Aa -c
CCL = cc
LM = -lM

srvwizard: srvwizard.o 
	${CCL} -o srvwizard srvwizard.o libtine.a ${LM}
	chmod a+x srvwizard

srvwizard.o: srvwizard.c ${HDRS}
	${CC} srvwizard.c

clean:
	rm *.o
